Subject: bug#60840: closed (Re: bug#60840: [PATCH 0/3] gnu: volctl: Update to 0.9.3.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 22 Jan 2023 21:29:03 +0000

Your bug report

#60840: [PATCH 0/3] gnu: volctl: Update to 0.9.3.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
60840: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=60840
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#60840: [PATCH 0/3] gnu: volctl: Update to 0.9.3.
From: Maxim Cournoyer <[email-masked]>
To: Sergiu Ivanov <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 22 Jan 2023 16:28:06 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Sergiu Ivanov <[email-masked]> writes:

> Hi again,
>
> Maxim Cournoyer <[email-masked]> [2023-01-16T18:01:59+0100]:
>>
>> Don't forget to CC my email when sending a revised v2 version with the
>> above :-).
>
> I CCed you, but Google doesn't like another quirk in my E-mail
> configuration which I don't have motivation to debug :-S
>
> I therefore sending you a small ping from my work E-mail, and I'm
> attaching the 3 updated patches just in case it is more convenient
> for you.

Thanks!  I've made cosmetic adjustments to the update commit like so:

--8<---------------cut here---------------start------------->8---
modified   gnu/packages/gtk.scm
@@ -2968,12 +2968,17 @@ (define-public volctl
            (lambda* (#:key inputs #:allow-other-keys)
              (substitute* "volctl/xwrappers.py"
                (("libXfixes.so")
-                (string-append (search-input-file inputs "/lib/libXfixes.so")))))))))
+                (string-append (search-input-file inputs
+                                                  "/lib/libXfixes.so")))))))))
     (inputs
      (list libxfixes))
     (propagated-inputs
-     (list python-click python-pycairo python-pygobject python-pyyaml
-           python-pulsectl gtk+))
+     (list python-click
+           python-pycairo
+           python-pygobject
+           python-pyyaml
+           python-pulsectl
+           gtk+))
     (home-page "https://buzz.github.io/volctl/")
     (synopsis "Per-application volume control and on-screen display")
     (description "Volctl is a PulseAudio-enabled tray icon volume control and
--8<---------------cut here---------------end--------------->8---

added a proper GNU Change Log to the commit message:

--8<---------------cut here---------------start------------->8---
gnu: volctl: Update to 0.9.3.

Fixes <https://issues.guix.gnu.org/58120>.

* gnu/packages/gtk.scm (volctl): Update to 0.9.3.
[arguments]: Update substitutions in patch-path phase and delete
trailing #t.
[inputs]: Delete pulseaudio.  Move gtk+ to...
[propagated-inputs] ... here.
--8<---------------cut here---------------end--------------->8---

and pushed the series!

Notice that in my environment, it doesn't run:

--8<---------------cut here---------------start------------->8---
$ volctl
PulseAudio connected
Warning: Could not embed Gtk.StatusIcon.
Fatal error: Could not create a status icon. Are you sure you have a working notification area?
pulseaudio disconnected
Alarm clock
--8<---------------cut here---------------end--------------->8---

although I have 'dunst' running on top of my ratpoison WM.

-- 
Thanks,
Maxim

Subject: [PATCH 0/3] gnu: volctl: Update to 0.9.3.
From: Sergiu Ivanov <[email-masked]>
To: [email-masked]
Date: Sun, 15 Jan 2023 23:35:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix,

I am hereby submitting a patch series updating volctl to 0.9.3.

This new version relies on python-pulsectl, which this patch series also adds.

Thanks!

-
Sergiu
>From 10957fe441340d5d1f3a83f8baeb9ffcff1158dd Mon Sep 17 00:00:00 2001
From: Sergiu Ivanov <[email-masked]>
Date: Sun, 15 Jan 2023 23:32:03 +0100
Subject: [PATCH 0/3] gnu: volctl: Update to 0.9.3.

Dear Guix,

I am hereby submitting a patch series updating volctl to 0.9.3.

This new version relies on python-pulsectl, which this patch series also adds.

Thanks!

-
Sergiu

Sergiu Ivanov (3):
  gnu: volctl: Make the synopsis line shorter.
  gnu: packages: Add python-pulsectl.
  gnu: volctl: Update to 0.9.3.

 gnu/packages/audio.scm | 34 ++++++++++++++++++++++++++++++++++
 gnu/packages/gtk.scm   | 19 ++++++++++---------
 2 files changed, 44 insertions(+), 9 deletions(-)

-- 
2.38.1